Retrieve a list
Returns a filtered list of activity durations.
Tip
Check the Swagger page for more technical information on the endpoints.
Endpoint details
GET
https://<tenant>.myprotime.eu/connector/protimeapi/api/v1/activity-durations
Headers: Authorization: Bearer {token}, User-Agent: {agent}
Scope: connector-protimeapi-activity-durations.read
Response properties
| Field | Type | Required | Writable | Description |
|---|---|---|---|---|
id |
integer | — | Read-only | Unique identifier for the activity duration. |
person.id |
integer | — | Read-only | Unique identifier of the person linked to this duration. |
date |
string | — | Read-only | Date of the activity duration (YYYY-MM-DD). |
durationInMinutes |
integer | — | Read-only | Duration in minutes for the activity. |
activityLevels.level |
integer | — | Read-only | A list of levels in the activity structure of the registered activity definition. |
activityLevels.activityDefinition.id |
string | — | Read-only | Unique identifier for the activity definition registered. |
absenceDefinition.id |
integer | — | Read-only | Unique identifier for the absence definition, if an absence is linked to the duration. |
request.id |
string | — | Read-only | Unique identifier for the request, if the duration was requested. |
counterDefinitions.id |
integer | — | Read-only | A list of unique identifiers for the counter definitions or multiple definitions, if one or more counters are linked to this duration. |
status |
string | — | Read-only | Status of the activity duration (Unknown, Auto, Manual). |
isAuthorized |
boolean | — | Read-only | Indicates if the activity duration is authorized. |
Filters
| Filter | Type | Description |
|---|---|---|
person |
Optional | Filter by specific person IDs |
date |
Required | Date range (required with max of 1 year range) |
Check the Fetching Resources page on how to use the filter.
External references
The endpoint supports predefined and custom external references. See the external references page for details.
The following collections are supported for this endpoint:
| Collection | Predefined | Custom |
|---|---|---|
people |
@badge-number, @employee-number |
Supported |
activity-definitions |
@data-entry-code, @external-reference |
Supported |
absence-definitions |
@absence-code |
Supported |
counter-definitions |
@counter-code |
Supported |
shift-definitions |
@shift-code |
Supported |
Error responses
| Status | Condition |
|---|---|
400 |
Invalid filter syntax or unknown filter field |
401 |
Missing or invalid access token, or insufficient scope |
414 |
Request URI too long (filter + continuation token) |
Examples
Filter on date range with external reference
Example with a date range and the employee number as the external reference for people:
GET
https://<tenant>.myprotime.eu/connector/protimeapi/api/v1/activity-durations?filter=date ge '2025-01-01' and date le '2026-01-01'&externalReferences=(people,@employee-number)
Filter on people and date range with multiple external references
Example with a filter on a few people, a date range and multiple external references:
GET
https://<tenant>.myprotime.eu/connector/protimeapi/api/v1/activity-durations?filter=person in (1,2,3) and date ge '2025-01-01' and date le '2025-01-05'&externalReferences=(people,@employee-number)(activity-definitions,@data-entry-code)(absence-definitions,@absence-code)(counter-definitions,@counter-code)